LibOFX

OfxSecurityData Struct Reference

An abstraction of a security, such as a stock, mutual fund, etc. More...

## Data Fields
OFX mandatory elements
The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them.
char | unique_id [OFX_UNIQUE_ID_LENGTH]
int | unique_id_valid
char | unique_id_type [OFX_UNIQUE_ID_TYPE_LENGTH]
int | unique_id_type_valid
char | secname [OFX_SECNAME_LENGTH]
int | secname_valid
OFX optional elements
The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data.
char | ticker [OFX_TICKER_LENGTH]
int | ticker_valid
double | unitprice
int | unitprice_valid
time_t | date_unitprice
int | date_unitprice_valid
char | currency [OFX_CURRENCY_LENGTH]
int | currency_valid
char | memo [OFX_MEMO2_LENGTH]
int | memo_valid
char | fiid [OFX_FIID_LENGTH]
int | fiid_valid

## Detailed Description

An abstraction of a security, such as a stock, mutual fund, etc.

The OfxSecurityData stucture is used to hols the securyty information inside a OfxTransactionData struct for investment transactions.

Definition at line 352 of file libofx.h.

## Field Documentation

## ◆ currency

char OfxSecurityData::currency[OFX_CURRENCY_LENGTH]

The currency is a string in ISO-4217 format. It overrides the one defined in the statement for the unit price

Definition at line 388 of file libofx.h.

## ◆ date_unitprice

time_t OfxSecurityData::date_unitprice

The date as of which the unit price was valid.

Definition at line 383 of file libofx.h.

## ◆ fiid

char OfxSecurityData::fiid[OFX_FIID_LENGTH]

The currency is a string in ISO-4217 format. It overrides the one defined in the statement for the unit price

Definition at line 396 of file libofx.h.

## ◆ memo

char OfxSecurityData::memo[OFX_MEMO2_LENGTH]

Extra information not included in name

Definition at line 391 of file libofx.h.

## ◆ secname

char OfxSecurityData::secname[OFX_SECNAME_LENGTH]

The full name of the security

Definition at line 368 of file libofx.h.

## ◆ ticker

char OfxSecurityData::ticker[OFX_TICKER_LENGTH]

The ticker symbol of the security

Definition at line 376 of file libofx.h.

## ◆ unique_id

char OfxSecurityData::unique_id[OFX_UNIQUE_ID_LENGTH]

The id of the security being traded.

Definition at line 361 of file libofx.h.

## ◆ unique_id_type

char OfxSecurityData::unique_id_type[OFX_UNIQUE_ID_TYPE_LENGTH]

Usially "CUSIP" for FIs in north america

Definition at line 364 of file libofx.h.

## ◆ unitprice

double OfxSecurityData::unitprice

The price of each unit of the security, as of date_unitprice

Definition at line 379 of file libofx.h.

The documentation for this struct was generated from the following file:

- libofx.h